Subject: Re: bug#37556: gpg "-unknown" version string

From: Noam Postavsky <[email-masked]>
Date: Mon, 30 Sep 2019 10:46:28 -0400

Lars Ingebrigtsen <[email-masked]> writes:

>> I don't understand why making -unknown equivalent to a lesser version
>> makes sense.  Shouldn't 2.2.17 and 2.2.17-unknown in fact be equal?
>
> Should they?  2.2.17-pre and 2.2.17-alpha should be less than 2.2.17,
> but how do we know that -unknown isn't something -alpha-ish?

It's "unknown", so it could be something opposite-of-alpha-ish too,
right?  On average, 0 seems right.